Page MenuHomePhabricator

Local block of 180.214.232.49 not expiring on outreach.wikimedia
Closed, ResolvedPublic

Description

https://outreach.wikimedia.org/w/index.php?title=Special:Log&page=User%3A180.214.232.49&type=block says:

22:28, 22 July 2018 Jeff G. talk contribs block blocked 180.214.232.49 talk with an expiration time of 6 months (anonymous users only, account creation disabled, email disabled, cannot edit own talk page) (Commuted to 6 months anon only per WIkimedia:Village pump#IP blocks.) (unblock | change block)
03:38, 18 November 2017 Jeff G. talk contribs block blocked 180.214.232.49 talk with an expiration time of indefinite (account creation disabled, email disabled, cannot edit own talk page) (Clearly not here to contribute) (unblock | change block)
01:31, 10 November 2017 Jeff G. talk contribs block blocked 180.214.232.49 talk with an expiration time of 1 week (anonymous users only, account creation disabled) (Vandalism) (unblock | change block)

6 months should have expired on 2019 Jan 22nd.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2020, 12:50 AM
Koavf added a subscriber: Koavf.Jul 8 2020, 12:59 AM

Change 610089 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add purgeExpiredBlocks maintenance script

https://gerrit.wikimedia.org/r/610089

DannyS712 added a subscriber: DannyS712.

Patch added to add a maintenance script, running that on outreachwiki should be remove the block

Change 610089 merged by jenkins-bot:
[mediawiki/core@master] Add purgeExpiredBlocks maintenance script

https://gerrit.wikimedia.org/r/610089

Reedy closed this task as Resolved.Jul 8 2020, 4:10 PM
Reedy assigned this task to DannyS712.
Reedy added a subscriber: Reedy.

I ran the essence of that script against outreachwiki earlier, so the block should've been removed now

I filed T257473: Periodically run purgeExpiredBlocks.php maintenance script for trying to prevent this happening again in future

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJul 8 2020, 4:12 PM
DannyS712 moved this task from Unsorted to Merged on the User-DannyS712 board.Jul 9 2020, 11:12 PM